/*
 * Program entry point
 *
 * Copyright (C) 2019  Libiquity LLC
 *
 * This file is part of wolfutil.
 *
 * wolfutil is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * wolfutil is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with wolfutil.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "commands.h"

static void
usage(FILE *stream, const char *program_name)
{
	fprintf(stream, "Usage: %s s_client [options]\n", program_name);
}

int
main(int argc, char **argv)
{
	if (argc < 2 || strcmp(argv[1], "s_client") != 0) {
		usage(stderr, argv[0]);
		return EXIT_FAILURE;
	}

	return s_client(argc - 2, argv + 2);
}
